var map;
var panorama;
var geocoder;
var panoservice;

var currentX = 116.403739;
var currentY = 39.91376;
var currentZ = 14;
var x_pi = 3.14159265358979324 * 3000.0 / 180.0;
var currentClickX;
var currentClickY;
var layer;
var marker;
//初始化地图
window.onload = function() {
	var areaid = GetUrlParam('areaid');
	var request = "https://appmanage.17ditu.com";
	$.post(request + "/dituapi/tool/baidu", {
		areaId: areaid,
	}, function(data) {
		var res = JSON.parse(data);
		if(res.lat) {
			lat = res.lat;
			lng = res.lng;
			cityName = res.cityName;
		}
		var html = ""
		if(!res.parentCity && res.parentCity != 0) {
			html += '<li><a  title="百度街景地图" href="../jiejing/baidustreet.html">返回上一级</a></li>'
		} else if(res.parentCity && res.parentCity.id != 0) {
			html += '<li><a  title="百度街景地图" href="../jiejing/baidustreet.html?areaid=' + res.parentCity.id + '">返回上一级</a></li>'
		}
		for(var i = 0; i < res.cityList.length; i++) {
			html += '<li><a  title="百度街景地图" href="../jiejing/baidustreet.html?areaid=' + res.cityList[i].id + '">' + res.cityList[i].name + '街景</a></li>'
		}
		$('.citylist').html(html);
		if(lat != "") {
			var point = {
				"lng": lng,
				"lat": lat
			};
			currentX = Convert_GCJ02_To_BD09(point).lng;
			currentY = Convert_GCJ02_To_BD09(point).lat;
		}
		var ac = new BMap.Autocomplete( //建立一个自动完成的对象
			{
				"input": "suggestId"
			});
			
		map = new BMap.Map('map');
		map.centerAndZoom(new BMap.Point(currentX, currentY), currentZ);
		map.enableScrollWheelZoom(true);
		// 覆盖区域图层测试
		map.addTileLayer(new BMap.PanoramaCoverageLayer());
		marker = new BMap.Marker(new BMap.Point(currentX, currentY), {
			icon: new BMap.Icon("https://cdn.17ditu.com/static/dist/images/control/marker.png", new BMap.Size(50, 50), {
				imageOffset: new BMap.Size(0, 0)
			})
		}); // 创建标注
		map.addOverlay(marker); // 将标注添加到地图中
		panorama = new BMap.Panorama('panomap');
		panorama.setPosition(new BMap.Point(currentX, currentY));
		marker.setRotation(180);
		panorama.setOptions({
			navigationControl: true //显示导航控件
		});
		geoc = new BMap.Geocoder();
		panorama.addEventListener('position_changed',
			function(e) { //全景位置改变事件
				var p = panorama.getPosition();
				map.panTo(p);
				marker.setPosition(p);
				geoc.getLocation(p,
					function(rs) {
						var addComp = rs.addressComponents;
						document.getElementById("address").innerHTML = addComp.province + " " + addComp.city + " " + addComp.district + " " + addComp.street + " " + addComp.streetNumber;
					});

			});
		panorama.addEventListener('pov_changed',
			function(e) { //全景视角改变事件
				marker.setRotation(panorama.getPov().heading + 180);
			});

		panorama.addEventListener('error',
			function(e) { //全景视角改变事件
				layer.msg('当前位置没有街景地图，您可以从小地图点击蓝色区域查看街景地图！');
			});

		map.addEventListener("touchstart",
			function(e) {
				panorama.setPosition(new BMap.Point(e.point.lng, e.point.lat));
			});
		var myValue;
		ac.addEventListener("onconfirm",
			function(e) { //鼠标点击下拉列表后的事件
				var _value = e.item.value;
				myValue = _value.province + _value.city + _value.district + _value.street + _value.business;

				var myGeo = new BMap.Geocoder();
				// 将地址解析结果显示在地图上,并调整地图视野
				myGeo.getPoint(myValue,
					function(point) {
						if(point) {
							map.panTo(point);
							panorama.setPosition(point);
							marker.setPosition(point);
						} else {
							layer.msg('您选择地址没有解析到结果!');
						};
					},
					"");
			});
		addEvents();
		if(lat == "") {
			toMyLocate();
		} 
	});

};

function GetUrlParam(paraName) {　　　　
	var url = document.location.toString();　　　　
	var arrObj = url.split("?");　　　　
	if(arrObj.length > 1) {　　　　　　
		var arrPara = arrObj[1].split("&");　　　　　　
		var arr;

		　　　　　　
		for(var i = 0; i < arrPara.length; i++) {　　　　　　　　
			arr = arrPara[i].split("=");

			　　　　　　　　
			if(arr != null && arr[0] == paraName) {　　　　　　　　　　
				return arr[1];　　　　　　　　
			}　　　　　　
		}　　　　　　
		return "";　　　　
	}　　　　
	else {　　　　　　
		return "";　　　　
	}　　
}

function Convert_GCJ02_To_BD09(point) {
	var x = point.lng,
		y = point.lat;
	var z = Math.sqrt(x * x + y * y) + 0.00002 * Math.sin(y * x_pi);
	var theta = Math.atan2(y, x) + 0.000003 * Math.cos(x * x_pi);
	point.lng = (z * Math.cos(theta) + 0.0065).toFixed(5);
	point.lat = (z * Math.sin(theta) + 0.006).toFixed(5);
	return point;
};

function addEvents() {
	document.getElementById("closemap").onclick = function() {
		document.getElementById("openmap").style.display = "block";
		document.getElementById("mapbox").style.bottom = "-3000px";
		document.getElementById("closemap").style.display = "none";
	};
	
	document.getElementById("openmap").onclick = function() {
		document.getElementById("openmap").style.display = "none";
		document.getElementById("mapbox").style.bottom = "0px";
		document.getElementById("mapbox").style.right = "0px";
		document.getElementById("closemap").style.display = "block";
	};
	
	document.getElementById("locatebtn").onclick = function() {
		toMyLocate();
	};
	document.getElementById("headersearch").onclick = function() {
		var address = document.getElementById("suggestId").value;
		document.getElementById("suggestId").blur();
		if(address == "") {
			layer.tips('搜索词不能为空!', '#suggestId', {
				tips: [3, '#3595CC'],
				time: 2000
			});
			return;
		};

		var myGeo = new BMap.Geocoder();
		// 将地址解析结果显示在地图上,并调整地图视野
		myGeo.getPoint(address,
			function(point) {
				if(point) {
					map.panTo(point);
					panorama.setPosition(point);
					marker.setPosition(point);
				} else {
					layer.msg('您选择地址没有解析到结果!');
				};
			},
			"");
	};

	document.getElementById('suggestId').addEventListener('keydown', function(e) {
		//		e.preventDefault();
		if(e.code == "Enter" || e.code == "NumpadEnter") {
			var address = document.getElementById("suggestId").value;
			document.getElementById("suggestId").blur();
			if(address == "") {
				layer.tips('搜索词不能为空!', '#suggestId', {
					tips: [3, '#3595CC'],
					time: 2000
				});
				return;
			};

			var myGeo = new BMap.Geocoder();
			// 将地址解析结果显示在地图上,并调整地图视野
			myGeo.getPoint(address,
				function(point) {
					if(point) {
						map.panTo(point);
						panorama.setPosition(point);
						marker.setPosition(point);
					} else {
						layer.msg('您选择地址没有解析到结果!');
					};
				},
				"");
		}
	});
};

function toMyLocate() {
	layer.msg("正在定位中...", {
		time: 20000
	});
	var geolocation = new BMap.Geolocation();
	geolocation.getCurrentPosition(function(r) {
		var currentPoint = r.point;
		if(this.getStatus() == BMAP_STATUS_SUCCESS || this.getStatus() == 0) {
			map.centerAndZoom(new BMap.Point(r.point.lng, r.point.lat), 17);
			panorama.setPosition(r.point);

			layer.msg("已经切换到您所在的区域附近");
		} else {
			layer.msg('定位失败：' + this.getStatus());
		}

	});
};

var isdown = false;
var oldx = 0;
var oldy = 0;
var ismove = false;
var maps = document.getElementById('mapbox');
var closemap = document.getElementById('closemap');
var panomap = document.getElementsByClassName('fgis-article-box')[0];

$(function() {
	$("object").on('touchend', function() {
		isdown = false;
	});
	document.querySelector('.resize').addEventListener('touchstart', function(event) {

		var e = event || window.event;
		e.stopPropagation();
		isdown = true;
		oldx = e.touches[0].screenX;
		oldy = e.touches[0].screenY;
	});
	document.querySelector('.resizebox').addEventListener('touchstart', function(event) {
		var e = event || window.event;
		ismove = true;
		oldx = e.touches[0].screenX;
		oldy = e.touches[0].screenX;
	});
	document.body.addEventListener('touchmove', function(event) {
		var e = event || window.event;
		if(isdown) {
			var x = oldx - e.touches[0].screenX;
			var y = oldy - e.touches[0].screenY;
			if(maps.offsetWidth + x < 14 || maps.offsetHeight + y < 15) {
				return;
			}
			oldx = e.touches[0].screenX;
			oldy = e.touches[0].screenY;

			maps.style.width = maps.offsetWidth + x + 'px';
			maps.style.height = maps.offsetHeight + y + 'px';
			if(maps.offsetWidth > panomap.offsetWidth) {
				maps.style.width = panomap.offsetWidth + 'px';
			}
			if(maps.offsetHeight > panomap.offsetHeight) {
				maps.style.height = panomap.offsetHeight + 'px';
			}
		}
		if (ismove) {
			var x = oldx - e.touches[0].screenX;
			var y = oldy - e.touches[0].screenY;
			oldx = e.touches[0].screenX;
			oldy = e.touches[0].screenY;
			var rx = panomap.offsetWidth - maps.offsetLeft - maps.offsetWidth + x;
			var ry = panomap.offsetHeight - maps.offsetTop - maps.offsetHeight + y
		
			if (rx >= 0 && rx <= panomap.offsetWidth - maps.offsetWidth) {
				maps.style.right = rx + 'px';
			}
			if (ry >= 0 && ry <= panomap.offsetHeight - maps.offsetHeight - 50) {
				maps.style.bottom = ry + 'px';
			}
		}

	});
	document.body.addEventListener('touchend', function(event) {
		var e = event || window.event;
		isdown = false;
		ismove = false;
	});
})