var viewer;
var ac = null;
var x_pi = 3.14159265358979324 * 3000.0 / 180.0;
var currentX = '107.70681';
var currentY = '35.97904';
var currentZ = '10000000';
var layerIndex;
var measureSurface;
var searchPosition;

function GetUrlParam(paraName) {
	var url = document.location.toString();
	var arrObj = url.split("?");
	if (arrObj.length > 1) {
		var arrPara = arrObj[1].split("&");
		var arr;

		for (var i = 0; i < arrPara.length; i++) {
			arr = arrPara[i].split("=");

			if (arr != null && arr[0] == paraName) {
				return arr[1];
			}
		}
		return "";
	} else {
		return "";
	}
}

currentX = GetUrlParam("lng");
currentY = GetUrlParam("lat");
currentZ = GetUrlParam("zoom")*1;

switch (currentZ) {
	case 1:
		currentZ = 25000000;
		break;
	case 2:
		currentZ = 9000000;
		break;
	case 3:
		currentZ = 7000000;
		break;
	case 4:
		currentZ = 4400000;
		break;
	case 5:
		currentZ = 2000000;
		break;
	case 6:
		currentZ = 1000000;
		break;
	case 7:
		currentZ = 493977;
		break;
	case 8:
		currentZ = 218047;
		break;
	case 9:
		currentZ = 124961;
		break;
	case 10:
		currentZ = 56110;
		break;
	case 11:
		currentZ = 40000;
		break;
	case 12:
		currentZ = 13222;
		break;
	case 13:
		currentZ = 7000;
		break;
	case 14:
		currentZ = 4000;
		break;
	case 15:
		currentZ = 2500;
		break;
	case 16:
		currentZ = 1500;
		break;
	case 17:
		currentZ = 600;
		break;
	case 18:
		currentZ = 250;
		break;
	default:
		currentZ = 250;
}
var angel = 0;
if(!currentX){
	currentX = '107.70681';
	currentY = '35.97904';
	currentZ = '10000000';
}



$(document).ready(function() {
	mars3d.map.webglreport() || (layer.msg("系统检测到您使用的系统版本不支持WebGL功能"), layer.confirm('由于您的系统版本过于陈旧，无法支持查看3D地图，可尝试手机或电脑浏览器登录一起看地图网站查看（www.17ditu.com）', {
        btn: []
    }, function() {
        
    }));
	initMap();
	getPosition();
	

});

function transferWorldPostionToLatlng(x, y, z) {
	var ellipsoid = viewer.scene.globe.ellipsoid;
	var cartesian3 = new Cesium.Cartesian3(x, y, z);
	var cartographic = ellipsoid.cartesianToCartographic(cartesian3);
	var lat = Cesium.Math.toDegrees(cartographic.latitude);
	var lng = Cesium.Math.toDegrees(cartographic.longitude);
	var alt = cartographic.height;
	return [lng, lat, alt];
};

addEventsListeners();

function addEventsListeners() {
	
	
	// $("#zoomup3D").click(function(){
	// 	var config = getCenterPosition();
	// 	currentX = config.lon;
	// 	currentY = config.lat;
		
	// 	currentZ = config.height * 0.8;
	// 	if (currentZ < 500) {
	// 		return;
	// 	}
	// 	// viewer.camera.setView({
	// 	// 	destination: Cesium.Cartesian3.fromDegrees(currentX, currentY, currentZ),
	// 	// });
	// 	viewer.camera.zoomIn(currentZ);
	// });
	
	document.getElementById("zoomup3D").ontouchstart = function() {
		var config = getCenterPosition();
		currentX = config.lon;
		currentY = config.lat;
		
		currentZ = config.height * 0.8;
		if (currentZ < 500) {
			return;
		}
		// viewer.camera.setView({
		// 	destination: Cesium.Cartesian3.fromDegrees(currentX, currentY, currentZ),
		// });
		viewer.camera.zoomIn(currentZ);
	};
	document.getElementById("zoomdown3D").ontouchstart = function() {
		var config = getCenterPosition();
		currentX = config.lon;
		currentY = config.lat;
		currentZ = config.height * 1.25;
		// viewer.camera.setView({
		// 	destination: Cesium.Cartesian3.fromDegrees(currentX, currentY, currentZ),
		// });
		viewer.camera.zoomOut(currentZ);
	};

	function getCenterPosition() {
		var result = viewer.camera.pickEllipsoid(new Cesium.Cartesian2(viewer.canvas.clientWidth / 2, viewer.canvas
			.clientHeight / 2));
		var curPosition = Cesium.Ellipsoid.WGS84.cartesianToCartographic(result);
		var lon = curPosition.longitude * 180 / Math.PI;
		var lat = curPosition.latitude * 180 / Math.PI;
		var height = getHeight();
		return {
			lon: lon,
			lat: lat,
			height: height
		};
	}

	document.getElementById("locatebtn").onclick = function() {
		var locateMsg = layer.msg('正在定位中...', {
			time: 3000
		});

		if (navigator.geolocation) {
			var geooptions = {
				// 指示浏览器获取高精度的位置，默认为false  
				enableHighAcuracy: true,
				// 指定获取地理位置的超时时间，默认不限时，单位为毫秒  
				timeout: 3000,
				// 最长有效期，在重复获取地理位置时，此参数指定多久再次获取位置。  
				maximumAge: 5000
			};
			navigator.geolocation.getCurrentPosition(locationSuccess, locationError, geooptions);
		} else {
			layer.msg('当前设备不支持定位功能!');
		}
	};

	function locationSuccess(position) {
		var coords = position.coords;
		var bdPoint = new BMap.Point(coords.longitude, coords.latitude);

		var convertor = new BMap.Convertor();
		var pointArr = [];
		pointArr.push(bdPoint);
		convertor.translate(pointArr, 1, 5, translateCallback);

		function translateCallback(data) {
			bdPoint = data.points[0];
			var px = bdPoint.lng;
			var py = bdPoint.lat;
			var currentPoint = Convert_BD09_To_GCJ02(bdPoint);
			px = currentPoint.lng;
			py = currentPoint.lat;
			var config = {
				x: px,
				y: px,
				z: 3000,
				heading: 360,
				pitch: -90.5,
				roll: .7,
			};
			viewer.camera.flyTo({
				destination: Cesium.Cartesian3.fromDegrees(px, py, 3000 || 0),
				orientation: {
					heading: Cesium.Math.toRadians(config.heading || 0),
					pitch: Cesium.Math.toRadians(config.pitch || -Cesium.Math.PI_OVER_FOUR),
					roll: Cesium.Math.toRadians(config.roll || 0)
				},
				duration: 3
			});
			if (searchPosition) {
				viewer.entities.remove(searchPosition);
			}
			searchPosition = viewer.entities.add({
				name: "",
				position: Cesium.Cartesian3.fromDegrees(px, py),
				point: {
					pixelSize: 10,
					color: Cesium.Color.BLUE,
					outlineColor: Cesium.Color.WHITE,
					outlineWidth: 2,
					heightReference: Cesium.HeightReference.CLAMP_TO_GROUND
				},
				label: {
					text: "",
					font: '14pt monospace',
					style: Cesium.LabelStyle.FILL_AND_OUTLINE,
					outlineWidth: 2,
					verticalOrigin: Cesium.VerticalOrigin.BOTTOM,
					pixelOffset: new Cesium.Cartesian2(0, -9)
				}
			});
		}
	}

	function locationError(error) {
		switch (error.code) {
			case error.TIMEOUT:
				layer.msg('GPS定位超时，已切换到IP定位!');
				switchlocate();
				break;
			case error.POSITION_UNAVAILABLE:
				layer.msg('GPS位置无法获取，已切换到IP定位!');
				switchlocate();
				break;
			case error.PERMISSION_DENIED:
				layer.msg('GPS功能无法使用，已切换到IP定位!');
				switchlocate();
				break;
			case error.UNKNOWN_ERROR:
				layer.msg('GPS未知错误，已切换到IP定位!');
				switchlocate();
				break;
		}
	}
	
	//根据ip定位，并移动到当前城市
	function switchlocate() {
		var geolocation = new BMap.Geolocation();
		geolocation.getCurrentPosition(function(r) {
			if (!r) {
				layer.msg('定位失败!');
				return
			}
			bdPoint = r.point;


			var px;
			var py;
			px = bdPoint.lng;
			py = bdPoint.lat;
			var currentPoint = Convert_BD09_To_GCJ02(bdPoint);
			px = currentPoint.lng;
			py = currentPoint.lat;
			var config = {
				x: px,
				y: px,
				z: 3000,
				heading: 360,
				pitch: -90.5,
				roll: .7,
			};
			viewer.camera.flyTo({
				destination: Cesium.Cartesian3.fromDegrees(px, py, 3000 || 0),
				orientation: {
					heading: Cesium.Math.toRadians(config.heading || 0),
					pitch: Cesium.Math.toRadians(config.pitch || -Cesium.Math.PI_OVER_FOUR),
					roll: Cesium.Math.toRadians(config.roll || 0)
				},
				duration: 3
			});
			if (searchPosition) {
				viewer.entities.remove(searchPosition);
			}
			searchPosition = viewer.entities.add({
				name: "",
				position: Cesium.Cartesian3.fromDegrees(px, py),
				point: {
					pixelSize: 10,
					color: Cesium.Color.BLUE,
					outlineColor: Cesium.Color.WHITE,
					outlineWidth: 2,
					heightReference: Cesium.HeightReference.CLAMP_TO_GROUND
				},
				label: {
					text: "",
					font: '14pt monospace',
					style: Cesium.LabelStyle.FILL_AND_OUTLINE,
					outlineWidth: 2,
					verticalOrigin: Cesium.VerticalOrigin.BOTTOM,
					pixelOffset: new Cesium.Cartesian2(0, -9)
				}
			});

		});
	}
	document.getElementById("closeInfo").onclick = function() {
		document.getElementById("infoview").style.display = "none";
	};

};

function initMap() {
	viewer = new Cesium.Viewer('map3dContainer', {
		animation: false,
		timeline: false,
		baseLayerPicker: true,
		geocoder: false,
		imageryProviderViewModels: getImageryProviderArr(),
		terrainProviderViewModels: getTerrainProviderViewModelsArr()
	});
	viewer.scene.globe.depthTestAgainstTerrain = false;
	viewer.cesiumWidget.creditContainer.style.display = "none";
	viewer.homeButton && viewer.homeButton.viewModel.command.afterExecute.addEventListener(function(e) {
		centerHome();
	});
	measureSurface = new mars3d.Measure({
		viewer: viewer,
		terrain: !1
	});
	centerHome();
};

function centerHome() {
	var e = {
		x: currentX,
		y: currentY,
		z: currentZ,
		heading: 360,
		pitch: -90.5,
		roll: .7,
	};
	viewer.camera.flyTo({
		destination: Cesium.Cartesian3.fromDegrees(e.x, e.y*1-0.03, e.z || 0),
		orientation: {
			heading: Cesium.Math.toRadians(e.heading || 0),
			pitch: Cesium.Math.toRadians(-90), 
			roll: Cesium.Math.toRadians(e.roll || 0)
		},
		duration: 0
	});
};

function flyMap(x,y,z){
	angel = -45;
	if(z < 5){
		angel = -90;
	}
	currentZ = z;
	switch (currentZ) {
		case 1:
			currentZ = 25000000;
			break;
		case 2:
			currentZ = 9000000;
			break;
		case 3:
			currentZ = 7000000;
			break;
		case 4:
			currentZ = 4400000;
			break;
		case 5:
			currentZ = 2000000;
			break;
		case 6:
			currentZ = 1000000;
			break;
		case 7:
			currentZ = 493977;
			break;
		case 8:
			currentZ = 218047;
			break;
		case 9:
			currentZ = 124961;
			break;
		case 10:
			currentZ = 56110;
			break;
		case 11:
			currentZ = 40000;
			break;
		case 12:
			currentZ = 13222;
			break;
		case 13:
			currentZ = 7000;
			break;
		case 14:
			currentZ = 4000;
			break;
		case 15:
			currentZ = 2500;
			break;
		case 16:
			currentZ = 1500;
			break;
		case 17:
			currentZ = 600;
			break;
		case 18:
			currentZ = 250;
			break;
		default:
			currentZ = 250;
	}
	var e = {
		x: x,
		y: y,
		z: currentZ,
		heading: 360,
		pitch: -90.5,
		roll: .7,
	};
	
	viewer.camera.flyTo({
		destination: Cesium.Cartesian3.fromDegrees(e.x, e.y*1-0.03, e.z || 0),
		orientation: {
			heading: Cesium.Math.toRadians(e.heading || 0),
			pitch: Cesium.Math.toRadians(angel), 
			roll: Cesium.Math.toRadians(e.roll || 0)
		},
		duration: 0
	});
}

function getImageryProviderArr() {
	var imageryArr = [];

	var map0 = new Cesium.ProviderViewModel({
		name: "谷歌地图卫星地图",
		iconUrl: "../static/fgis/3dmap/Widgets/Images/ImageryProviders/google.png",
		tooltip: "谷歌高清卫星地图",
		creationFunction: function() {
			return [new Cesium.UrlTemplateImageryProvider({
				url: "https://mt{s}.google.cn/vt/lyrs=s&hl=zh-CN&gl=CN&x={x}&y={y}&z={z}&s=Gali&src=app&scale=3",
				subdomains: ["0","1", "2", "3"],
				maximumLevel: 20,
				"css_filter": "brightness(1.2) saturate(1.5)"
			}), new Cesium.UrlTemplateImageryProvider({
				url: "https://mt{s}.google.cn/vt/imgtp=png32&lyrs=h@207000000&hl=zh-CN&gl=cn&x={x}&y={y}&z={z}&s=Galil&src=app&scale=2",
				subdomains: ["0","1", "2", "3"],
				maximumLevel: 20,
				"css_filter": "brightness(1.2) saturate(1.5)"
			})]
		}
	});
	
	var map1 = new Cesium.ProviderViewModel({
		name: "高德地图卫星地图",
		iconUrl: "../static/fgis/3dmap/Widgets/Images/ImageryProviders/gaode.png",
		tooltip: "高德地图高清卫星地图",
		creationFunction: function() {
			return [new Cesium.UrlTemplateImageryProvider({
				url: "https://webst0{s}.is.autonavi.com/appmaptile?style=6&x={x}&y={y}&z={z}",
				subdomains: ["1", "2", "3", "4"],
				maximumLevel: 18
			}), new Cesium.UrlTemplateImageryProvider({
				url: "https://webst0{s}.is.autonavi.com/appmaptile?x={x}&y={y}&z={z}&lang=zh_cn&size=1&scale=1&style=8",
				subdomains: ["1", "2", "3", "4"],
				maximumLevel: 18
			})]
		}
	});
    
	var map2 = new Cesium.ProviderViewModel({
		name: "天地图北斗卫星地图",
		iconUrl: "../static/fgis/3dmap/Widgets/Images/ImageryProviders/tdt.png",
		tooltip: "天地图北斗高清卫星地图",
		creationFunction: function() {
			return [new Cesium.WebMapTileServiceImageryProvider({
				url: "https://t{s}.tianditu.gov.cn/DataServer?T=img_w&X={TileCol}&Y={TileRow}&L={TileMatrix}&tk=3cf2285447247c7191415c8725cc2e78",
				layer: "tdtBasicLayer",
				style: "default",
				format: "image/jpeg",
				subdomains: ['0', '1', '2', '3', '4', '5', '6'],
				tileMatrixSetID: "GoogleMapsCompatible",
			}), new Cesium.WebMapTileServiceImageryProvider({
				url: "https://t{s}.tianditu.gov.cn/DataServer?T=cta_w&X={TileCol}&Y={TileRow}&L={TileMatrix}&tk=3cf2285447247c7191415c8725cc2e78",
				layer: "tdtAnnoLayer",
				style: "default",
				format: "image/jpeg",
				subdomains: ['0', '1', '2', '3', '4', '5', '6'],
				tileMatrixSetID: "GoogleMapsCompatible",
				maximumLevel: 18
			})]
		}
	});


	var map4 = new Cesium.ProviderViewModel({
		name: "Mapbox卫星地图",
		tooltip: "Mapbox卫星图",
		iconUrl: "../static/fgis/3dmap/Widgets/Images/ImageryProviders/mapboxSatellite.png",
		creationFunction: function() {
			return [new Cesium.MapboxImageryProvider({
				mapId: "mapbox.satellite"
			}), new Cesium.WebMapTileServiceImageryProvider({
				url: "https://t{s}.tianditu.gov.cn/DataServer?T=cia_w&X={TileCol}&Y={TileRow}&L={TileMatrix}&tk=3cf2285447247c7191415c8725cc2e78",
				layer: "tdtAnnoLayer",
				style: "default",
				format: "image/jpeg",
				subdomains: ['0', '1', '2', '3', '4', '5', '6'],
				tileMatrixSetID: "GoogleMapsCompatible"
			})]
		}
	});

	var map5 = new Cesium.ProviderViewModel({
		name: "ESRI世界地图",
		iconUrl: "../static/fgis/3dmap/Widgets/Images/ImageryProviders/esriWorldImagery.png",
		tooltip: "ESRI 世界地图",
		creationFunction: function() {
			return [new Cesium.ArcGisMapServerImageryProvider({
				url: "https://services.arcgisonline.com/ArcGIS/rest/services/World_Imagery/MapServer",
				enablePickFeatures: !1
			}), new Cesium.WebMapTileServiceImageryProvider({
				url: "https://t{s}.tianditu.gov.cn/DataServer?T=cia_w&X={TileCol}&Y={TileRow}&L={TileMatrix}&tk=3cf2285447247c7191415c8725cc2e78",
				layer: "tdtAnnoLayer",
				style: "default",
				format: "image/jpeg",
				subdomains: ['0', '1', '2', '3', '4', '5', '6'],
				tileMatrixSetID: "GoogleMapsCompatible"
			})]
		}
	});

	var map6 = new Cesium.ProviderViewModel({
		name: "Stamen水彩地图",
		iconUrl: "../static/fgis/3dmap/Widgets/Images/ImageryProviders/stamenWatercolor.png",
		tooltip: "非常漂亮的地图，可以用在任何场景使用。",
		creationFunction: function() {
			return new Cesium.createOpenStreetMapImageryProvider({
				url: "https://stamen-tiles.a.ssl.fastly.net/watercolor/",
				credit: "Map tiles by Stamen Design, under CC BY 3.0. Data by OpenStreetMap, under CC BY SA."
			})
		}
	});

	var map7 = new Cesium.ProviderViewModel({
		name: "Stamen黑白地图",
		iconUrl: "../static/fgis/3dmap/Widgets/Images/ImageryProviders/stamenToner.png",
		tooltip: "高度黑白对比地图.",
		creationFunction: function() {
			return new Cesium.createOpenStreetMapImageryProvider({
				url: "https://stamen-tiles.a.ssl.fastly.net/toner/",
				credit: "Map tiles by Stamen Design, under CC BY 3.0. Data by OpenStreetMap, under CC BY SA."
			})
		}
	});

	// var map8 = new Cesium.ProviderViewModel({
	// 	name: "地球城市夜光图",
	// 	iconUrl: "../static/fgis/3dmap/Widgets/Images/ImageryProviders/earthAtNight.png",
	// 	tooltip: "地球城市夜光图，500米高空摄影",
	// 	creationFunction: function() {
	// 		return [new Cesium.IonImageryProvider({
	// 			assetId: 3812
	// 		}), new Cesium.WebMapTileServiceImageryProvider({
	// 			url: "http://t{s}.tianditu.com/cia_w/wmts?service=wmts&request=GetTile&version=1.0.0&LAYER=cia&tileMatrixSet=w&TileMatrix={TileMatrix}&TileRow={TileRow}&TileCol={TileCol}&style=default.jpg",
	// 			layer: "tdtAnnoLayer",
	// 			style: "default",
	// 			format: "image/jpeg",
	// 			subdomains: ['0', '1', '2', '3', '4', '5', '6'],
	// 			tileMatrixSetID: "GoogleMapsCompatible"
	// 		})]
	// 	}
	// });

	imageryArr.push(map0);
	imageryArr.push(map1);
	imageryArr.push(map2);
	imageryArr.push(map4);
	imageryArr.push(map5);
	imageryArr.push(map6);
	imageryArr.push(map7);
	var data = [];
	for(var i = 0;i < imageryArr.length; i++){
		if(imageryArr[i].name.indexOf(getCookie("mapName")) != -1){
			data.push(imageryArr[i]);
		}
	}
	if(!data.length){
		data = imageryArr;
	}
	return data;
};
function getCookie(name) {
	return window.localStorage.getItem(name)
};
function getTerrainProviderViewModelsArr() {
	var terrainArr = [];
	var t1 = new Cesium.ProviderViewModel({
		name: "无地形",
		tooltip: "WGS84标准球体",
		iconUrl: "../static/fgis/3dmap/Widgets/Images/TerrainProviders/Ellipsoid.png",
		creationFunction: function() {
			return new Cesium.EllipsoidTerrainProvider({
				ellipsoid: Cesium.Ellipsoid.WGS84
			})
		}
	});

	var t2 = new Cesium.ProviderViewModel({
		name: "有地形",
		tooltip: "STK在线地形",
		iconUrl: "../static/fgis/3dmap/Widgets/Images/TerrainProviders/CesiumWorldTerrain.png",
		creationFunction: function() {
			return new Cesium.CesiumTerrainProvider({
				url: "https://data.marsgis.cn/terrain/",
				requestWaterMask: !0,
				requestVertexNormals: !0
			})
		}
	});
	terrainArr.push(t2);
	// terrainArr.push(t1);
	return terrainArr;
};

function Convert_BD09_To_GCJ02(point) {
	var x = point.lng - 0.0065,
		y = point.lat - 0.006;
	var z = Math.sqrt(x * x + y * y) - 0.00002 * Math.sin(y * x_pi);
	var theta = Math.atan2(y, x) - 0.000003 * Math.cos(x * x_pi);
	point.lng = (z * Math.cos(theta)).toFixed(5);
	point.lat = (z * Math.sin(theta)).toFixed(5);
	return point;
};

function clearDraw() {
	measureSurface.clearMeasure();
};

function measuerLength() {
	measureSurface.measuerLength({
		terrain: !1
	});
};

function measuerLength2() {
	measureSurface.measuerLength({
		terrain: !0
	});
};

function measureArea() {
	measureSurface.measureArea();
};

function measureHeight() {
	measureSurface.measureHeight({
		isSuper: !1
	});
};

function measureHeight2() {
	measureSurface.measureHeight({
		isSuper: !0
	});
};

function getPosition() {
	//得到当前三维场景
	var scene = viewer.scene;
	//得到当前三维场景的椭球体
	var ellipsoid = scene.globe.ellipsoid;
	var entity = viewer.entities.add({
		label: {
			show: false
		}
	});
	var longitudeString = null;
	var latitudeString = null;
	var height = null;
	var cartesian = null;
	// 定义当前场景的画布元素的事件处理
	var handler = new Cesium.ScreenSpaceEventHandler(scene.canvas);
	//设置鼠标移动事件的处理函数，这里负责监听x,y坐标值变化
	handler.setInputAction(function(movement) {

		//通过指定的椭球或者地图对应的坐标系，将鼠标的二维坐标转换为对应椭球体三维坐标
		cartesian = viewer.camera.pickEllipsoid(movement.endPosition, ellipsoid);
		if (cartesian) {
			//将笛卡尔坐标转换为地理坐标
			var cartographic = Cesium.Cartographic.fromCartesian(cartesian);

			//将弧度转为度的十进制度表示
			longitudeString = Cesium.Math.toDegrees(cartographic.longitude);
			latitudeString = Cesium.Math.toDegrees(cartographic.latitude);
			//获取相机高度
			height = viewer.scene.globe.getHeight(cartographic);

			if (height > 0) {
				document.getElementById("latlng").innerHTML = '经度：' + longitudeString.toFixed(6) + " 纬度：" + latitudeString.toFixed(
					6) + " 海拔：" + height.toFixed(1) + "米";
			} else {
				document.getElementById("latlng").innerHTML = '经度：' + longitudeString.toFixed(6) + " 纬度：" + latitudeString.toFixed(
					6);
			}
			//entity.position = cartesian;
			//entity.label.show = true;
			//entity.label.text = '(' + longitudeString.toFixed(6) + ', ' + latitudeString.toFixed(6) + "," + height.toFixed(1) + ')' ;
		} else {
			//entity.label.show = false;
		};
	}, Cesium.ScreenSpaceEventType.MOUSE_MOVE);

	viewer.scene.camera.moveEnd.addEventListener(function() {
		if (usertype == "0") {
			var height = getHeight();
			var lng = getlng();
			var lat = getlat();
			if (height < 5000) {
				setPosition(lng, lat, 5001);
				layer.confirm('想要浏览更高清的地图,现在登录？', {
					btn: ['去登录', '算了'] //按钮
				}, function() {
					window.location.href = "../user/login.html";
				}, function() {

				});
				return;
			};
		};

		if (usertype == "1") {
			var height = getHeight();
			var lng = getlng();
			var lat = getlat();

			if (height < 1500) {
				return;
				setPosition(lng, lat, 1501);
				layer.confirm('成为一起看地图VIP会员，轻松浏览高清卫星地图，还可以获得以下功能:<font color="blue">' +
					'<br>1.搜索国内外地址。<br>2.所有高清卫星地图免费浏览。<br>3.海拔免费查询。<br>4.面积测量功能。<br>5.三倍签到积分。<br>6.地图无限制收藏。<br>7.本站地图工具免费使用。<br>8.更多功能，期待您的发现...</font>', {
						btn: ['马上升级', '算了'], //按钮，
						title: "升级VIP会员提示"
					},
					function() {
						window.location.href = "../user/pay/index.html";
					},
					function() {

					});
				return;
			};
		};
	});
};

function getHeight() {
	if (viewer) {
		var scene = viewer.scene;
		var ellipsoid = scene.globe.ellipsoid;
		var height = ellipsoid.cartesianToCartographic(viewer.camera.position).height;
		return height;
	};
};

function getlng() {
	if (viewer) {
		var scene = viewer.scene;
		var ellipsoid = scene.globe.ellipsoid;
		var lng = ellipsoid.cartesianToCartographic(viewer.camera.position).longitude;
		return Cesium.Math.toDegrees(lng);
	};
};

function getlat() {
	if (viewer) {
		var scene = viewer.scene;
		var ellipsoid = scene.globe.ellipsoid;
		var lat = ellipsoid.cartesianToCartographic(viewer.camera.position).latitude;
		return Cesium.Math.toDegrees(lat);
	};
};

function setPosition(lng, lat, height) {
	var e = {
		x: lng,
		y: lat,
		z: height,
		heading: 360,
		pitch: -90.5,
		roll: .7,
	};
	viewer.camera.flyTo({
		destination: Cesium.Cartesian3.fromDegrees(e.x, e.y, e.z || 0),
		orientation: {
			heading: Cesium.Math.toRadians(e.heading || 0),
			pitch: Cesium.Math.toRadians(e.pitch || -Cesium.Math.PI_OVER_FOUR),
			roll: Cesium.Math.toRadians(e.roll || 0)
		},
		duration: 0.3
	});
};
