var map = new BMap.Map("container");
map.centerAndZoom(new BMap.Point(110.36550, 34.01730), 5);
map.addControl(new BMap.NavigationControl({
	type: BMAP_NAVIGATION_CONTROL_SMALL
}));
map.enableScrollWheelZoom();

function getBoundary() {
	var bdary = new BMap.Boundary();
	var result;
	var name = document.getElementById("districtName").value;
	document.getElementById("result").innerText = "";
	if (name == "") {
		layer.tips('名称不能为空', '#districtName', {
			tips: [1, '#3595CC'],
			time: 2000
		});
		return;
	};

	bdary.get(name,
	function(rs) { //获取行政区域
		map.clearOverlays(); //清除地图覆盖物       
		var count = rs.boundaries.length; //行政区域的点有多少个
		result = rs.boundaries.toString().replace(/;/g, "\r");
		if (result == "") {
			layer.tips('该地区没有边界坐标数据', '#districtName', {
				tips: [1, '#3595CC'],
				time: 2000
			});
		} else {
			layer.tips('获取边界坐标数据成功', '#result', {
				tips: [1, '#006400'],
				time: 2000
			});
			document.getElementById("result").innerText = result;
		};

		for (var i = 0; i < count; i++) {
			var ply = new BMap.Polygon(rs.boundaries[i], {
				strokeWeight: 4,
				strokeColor: "#660000"
			}); //建立多边形覆盖物
			map.addOverlay(ply); //添加覆盖物
			map.setViewport(ply.getPath()); //调整视野  
			map.setZoom(8);
		};
	});
};

function copyResult() {
	var rs = document.getElementById('result').value;
	if (rs == "") {
		layer.tips('结果不能为空！', '#copybtn', {
			tips: [1, '#3595CC'],
			time: 2000
		});
		return;
	};

	var range = document.createRange();
	range.selectNode(document.getElementById('result'));

	var selection = window.getSelection();
	if (selection.rangeCount > 0) selection.removeAllRanges();
	selection.addRange(range);
	document.execCommand('copy');
	layer.tips('复制成功！', '#copybtn', {
		tips: [1, '#006400'],
		time: 2000
	});
};

function clearResult() {
	map.clearOverlays(); //清除地图覆盖物       
	document.getElementById('result').innerText = "";
	layer.tips('清空结果成功！', '#clearbtn', {
		tips: [1, '#006400'],
		time: 2000
	});
};