var map1index = 1;
var map2index = 2;
var layer0 = new maptalks.TileLayer('light', {
	urlTemplate: 'https://mt{s}.google.cn/vt/lyrs=m@207000000&hl=zh-CN&gl=CN&src=app&x={x}&y={y}&z={z}&s=Galile',
	subdomains: ['0', '1', '2', '3'],
	attribution: '&copy; Google Maps',
	// force layer to render when map is zooming and moving
	'forceRenderOnMoving': true,
	'forceRenderOnZooming': true
});

var map = new maptalks.Map('mapcontainer', {
	center: [110.36550, 34.01730],
	zoom: 5,
	zoomControl: {
		'position': 'bottom-right',
		'slider': false,
		'zoomLevel': true
	},
	baseLayer: new maptalks.TileLayer('base', {
		'urlTemplate': 'https://mt{s}.google.cn/maps/vt?lyrs=s%40781&hl=zh-CN&gl=CN&x={x}&y={y}&z={z}',
		'subdomains': ['0', '1', '2', '3'],
		attribution: '&copy; Google Maps'
	}),
	layers: [layer0]
});

rendermap();

function rendermap() {
	var swipe = document.getElementById('swipe');
	var displaytype = 1;
	var renderer = layer0.getRenderer();
	var canvasGetter = renderer.getCanvasImage;
	//override renderer's default method to get layer canvas image
	renderer.getCanvasImage = function() {
		//original layer canvas image
		var layerImage = canvasGetter.call(renderer);
		if (!layerImage || !layerImage.image) {
			return layerImage;
		}
		//drawn width after layer is erased by swipper
		var width = renderer.canvas.width * (swipe.value / 100);
		var ctx = renderer.context;

		//copy drawn rect of original layer canvas
		var drawnRect = document.createElement('canvas');
		drawnRect.width = width/2;
		drawnRect.height = ctx.canvas.height;
		drawnRect.getContext('2d').drawImage(ctx.canvas, 0, 0);

		//clear the erased part
		ctx.clearRect(0, 0, ctx.canvas.width, ctx.canvas.height);

		//draw a white background to cover the bottom layers when zooming
		ctx.beginPath();
		ctx.rect(0, 0, drawnRect.width, ctx.canvas.height);
		ctx.fillStyle = '#fff';
		ctx.fill();

		//draw the drawn part on layer's canvas
		ctx.drawImage(drawnRect, 0, 0);
		return layerImage;
	};

	swipe.addEventListener('input',
	function() {
		//let layer redraw self in the next frame
		layer0.getRenderer().setToRedraw();
	});
};

function map1change(value) {
    
	if (map2index == value) {
		layer.msg("两个地图不能相同哦");
		$("#map1select").val(map1index);
		return;
	};

	map1index = value;

	switch (value) {
	case "1":
		//谷歌地图
		map.removeLayer(layer0);
		layer0 = new maptalks.TileLayer('lay1', {
			urlTemplate: 'https://mt{s}.google.cn/vt/lyrs=m@207000000&hl=zh-CN&gl=CN&src=app&x={x}&y={y}&z={z}&s=Galile',
			subdomains: ['0', '1', '2', '3'],
			attribution: {
				content: '&copy; Google Maps'
			},
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.addLayer(layer0);
		rendermap();
		break;
	case "2":
		//谷歌卫星
		map.removeLayer(layer0);
		layer0 = new maptalks.TileLayer('lay2', {
			urlTemplate: 'https://mt{s}.google.cn/maps/vt?lyrs=s%40781&hl=zh-CN&gl=CN&x={x}&y={y}&z={z}',
			subdomains: ['0', '1', '2', '3'],
			attribution: '&copy; Google Maps',
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.addLayer(layer0);
		rendermap();
		break;
	case "3":
		//谷歌地形
		map.removeLayer(layer0);
		layer0 = new maptalks.TileLayer('lay3', {
			urlTemplate: 'https://mt{s}.google.cn/maps/vt?pb=!1m5!1m4!1i{z}!2i{x}!3i{y}!4i256!2m3!1e4!2st!3i422!2m3!1e0!2sr!3i422122048!3m12!2szh-CN!3sCN!5e18!12m4!1e68!2m2!1sset!2sTerrain!12m3!1e37!2m1!1ssmartmaps!4e0!23i1301875&token=59227',
			subdomains: ['0', '1', '2', '3'],
			attribution: '&copy; Google Maps',
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.addLayer(layer0);
		rendermap();
		break;
	case "4":
		//谷歌混合
		map.removeLayer(layer0);
		layer0 = new maptalks.GroupTileLayer('lay4', [new maptalks.GroupTileLayer('卫星地图4', [new maptalks.TileLayer('卫星7', {
			'urlTemplate': 'https://mt{s}.google.cn/maps/vt?lyrs=s%40781&hl=zh-CN&gl=CN&x={x}&y={y}&z={z}',
			'subdomains': ['0', '1', '2', '3']
		}), new maptalks.TileLayer('路网4', {
			'urlTemplate': 'https://ditu.google.cn/maps/vt?pb=!1m5!1m4!1i{z}!2i{x}!3i{y}!4i256!2m3!1e0!2sm!3i413113259!3m12!2szh-CN!3sCN!5e18!12m4!1e68!2m2!1sset!2sRoadmapSatellite!12m3!1e37!2m1!1ssmartmaps!4e0!23i1301875&token=59227',
		})])], {
			attribution: '&copy; Google Maps',
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.addLayer(layer0);
		rendermap();
		break;
	case "5":
		//高德地图
		map.removeLayer(layer0);
		layer0 = new maptalks.TileLayer('lay5', {
			urlTemplate: 'https://webrd0{s}.is.autonavi.com/appmaptile?lang=zh_cn&size=1&scale=1&style=8&x={x}&y={y}&z={z}',
			subdomains: ['1', '2', '3', '4'],
			attribution: '&copy; autonavi',
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.addLayer(layer0);
		rendermap();
		break;
	case "6":
		//高德卫星
		map.removeLayer(layer0);
		layer0 = new maptalks.TileLayer('lay6', {
			urlTemplate: 'https://webst0{s}.is.autonavi.com/appmaptile?style=6&x={x}&y={y}&z={z}',
			subdomains: ['1', '2', '3', '4'],
			attribution: '&copy; autonavi',
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.addLayer(layer0);
		rendermap();
		break;
	case "7":
		//高德混合
		map.removeLayer(layer0);
		layer0 = new maptalks.GroupTileLayer('lay7', [new maptalks.GroupTileLayer('卫星地图7', [new maptalks.TileLayer('卫星7', {
			urlTemplate: 'https://webst0{s}.is.autonavi.com/appmaptile?style=6&x={x}&y={y}&z={z}',
			subdomains: ['1', '2', '3', '4'],
		}), new maptalks.TileLayer('路网4', {
			urlTemplate: 'https://webst0{s}.is.autonavi.com/appmaptile?style=8&x={x}&y={y}&z={z}',
			subdomains: ['1', '2', '3', '4'],
		})])], {
			attribution: '&copy; tianditu',
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.addLayer(layer0);
		rendermap();
		break;
	case "8":
		//天地图
		map.removeLayer(layer0);
		layer0 = new maptalks.TileLayer('lay8', {
			urlTemplate: 'http://t{s}.tianditu.cn/DataServer?T=vec_w&X={x}&Y={y}&L={z}',
			subdomains: ['1', '2', '3', '4'],
			attribution: '&copy; tianditu',
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.addLayer(layer0);
		rendermap();
		break;
	case "9":
		//天地图卫星
		map.removeLayer(layer0);
		layer0 = new maptalks.TileLayer('lay9', {
			urlTemplate: 'http://t{s}.tianditu.cn/DataServer?T=img_w&X={x}&Y={y}&L={z}',
			subdomains: ['1', '2', '3', '4'],
			attribution: '&copy; tianditu',
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.addLayer(layer0);
		rendermap();
		break;
	case "10":
		//天地图混合
		map.removeLayer(layer0);
		layer0 = new maptalks.GroupTileLayer('lay10', [new maptalks.GroupTileLayer('卫星地图10', [new maptalks.TileLayer('卫星10', {
			urlTemplate: 'http://t{s}.tianditu.cn/DataServer?T=img_w&X={x}&Y={y}&L={z}',
			subdomains: ['1', '2', '3', '4'],
		}), new maptalks.TileLayer('路网10', {
			urlTemplate: 'http://t{s}.tianditu.cn/DataServer?T=cia_w&X={x}&Y={y}&L={z}',
			subdomains: ['1', '2', '3', '4'],
		})])], {
			attribution: '&copy; tianditu',
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.addLayer(layer0);
		rendermap();
		break;
	}
};

function map2change(value) {
	if (map1index == value) {
		layer.msg("两个地图不能相同哦");
		$("#map2select").val(map2index);
		return;
	};

	map2index = value;
	switch (value) {
	case "1":
		//谷歌地图
		map.removeBaseLayer();
		var baselayer = new maptalks.TileLayer('base1', {
			urlTemplate: 'https://mt{s}.google.cn/vt/lyrs=m@207000000&hl=zh-CN&gl=CN&src=app&x={x}&y={y}&z={z}&s=Galile',
			subdomains: ['0', '1', '2', '3'],
			attribution: '&copy; Google Maps',
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.setBaseLayer(baselayer);
		rendermap();
		break;
	case "2":
		//谷歌卫星
		map.removeBaseLayer();
		var baselayer = new maptalks.TileLayer('base2', {
			urlTemplate: 'https://mt{s}.google.cn/maps/vt?lyrs=s%40781&hl=zh-CN&gl=CN&x={x}&y={y}&z={z}',
			subdomains: ['0', '1', '2', '3'],
			attribution: '&copy; Google Maps',
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.setBaseLayer(baselayer);
		rendermap();
		break;
	case "3":
		//谷歌地形
		map.removeBaseLayer();
		var baselayer = new maptalks.TileLayer('base3', {
			urlTemplate: 'https://mt{s}.google.cn/maps/vt?pb=!1m5!1m4!1i{z}!2i{x}!3i{y}!4i256!2m3!1e4!2st!3i422!2m3!1e0!2sr!3i422122048!3m12!2szh-CN!3sCN!5e18!12m4!1e68!2m2!1sset!2sTerrain!12m3!1e37!2m1!1ssmartmaps!4e0!23i1301875&token=59227',
			subdomains: ['0', '1', '2', '3'],
			attribution: '&copy; Google Maps',
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.setBaseLayer(baselayer);
		rendermap();
		break;
	case "4":
		//谷歌混合
		map.removeBaseLayer();
		var baselayer = new maptalks.GroupTileLayer('base4', [new maptalks.GroupTileLayer('卫星地图4', [new maptalks.TileLayer('卫星7', {
			'urlTemplate': 'https://mt{s}.google.cn/maps/vt?lyrs=s%40781&hl=zh-CN&gl=CN&x={x}&y={y}&z={z}',
			'subdomains': ['0', '1', '2', '3']
		}), new maptalks.TileLayer('路网4', {
			'urlTemplate': 'https://ditu.google.cn/maps/vt?pb=!1m5!1m4!1i{z}!2i{x}!3i{y}!4i256!2m3!1e0!2sm!3i413113259!3m12!2szh-CN!3sCN!5e18!12m4!1e68!2m2!1sset!2sRoadmapSatellite!12m3!1e37!2m1!1ssmartmaps!4e0!23i1301875&token=59227',
		})])], {
			attribution: '&copy; Google Maps',
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.setBaseLayer(baselayer);
		rendermap();
		break;
	case "5":
		//高德地图
		map.removeBaseLayer();
		var baselayer = new maptalks.TileLayer('base5', {
			urlTemplate: 'https://webrd0{s}.is.autonavi.com/appmaptile?lang=zh_cn&size=1&scale=1&style=8&x={x}&y={y}&z={z}',
			subdomains: ['1', '2', '3', '4'],
			attribution: '&copy; autonavi',
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.setBaseLayer(baselayer);
		rendermap();
		break;
	case "6":
		//高德卫星
		map.removeBaseLayer();
		var baselayer = new maptalks.TileLayer('base6', {
			urlTemplate: 'https://webst0{s}.is.autonavi.com/appmaptile?style=6&x={x}&y={y}&z={z}',
			subdomains: ['1', '2', '3', '4'],
			attribution: '&copy; autonavi',
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.setBaseLayer(baselayer);
		rendermap();
		break;
	case "7":
		//高德混合
		map.removeBaseLayer();
		var baselayer = new maptalks.GroupTileLayer('base7', [new maptalks.GroupTileLayer('卫星地图7', [new maptalks.TileLayer('卫星7', {
			urlTemplate: 'https://webst0{s}.is.autonavi.com/appmaptile?style=6&x={x}&y={y}&z={z}',
			subdomains: ['1', '2', '3', '4'],
		}), new maptalks.TileLayer('路网4', {
			urlTemplate: 'https://webst0{s}.is.autonavi.com/appmaptile?style=8&x={x}&y={y}&z={z}',
			subdomains: ['1', '2', '3', '4'],
		})])], {
			attribution: '&copy; autonavi',
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.setBaseLayer(baselayer);
		rendermap();
		break;
	case "8":
		//天地图
		map.removeBaseLayer();
		var baselayer = new maptalks.TileLayer('base8', {
			urlTemplate: 'http://t{s}.tianditu.cn/DataServer?T=vec_w&X={x}&Y={y}&L={z}',
			subdomains: ['1', '2', '3', '4'],
			attribution: '&copy; tianditu',
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.setBaseLayer(baselayer);
		rendermap();
		break;
	case "9":
		//天地图卫星
		map.removeBaseLayer();
		var baselayer = new maptalks.TileLayer('base9', {
			urlTemplate: 'http://t{s}.tianditu.cn/DataServer?T=img_w&X={x}&Y={y}&L={z}',
			subdomains: ['1', '2', '3', '4'],
			attribution: '&copy; tianditu',
			// force layer to render when map is zooming and moving
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.setBaseLayer(baselayer);
		rendermap();
		break;
	case "10":
		//天地图混合
		map.removeBaseLayer();
		var baselayer = new maptalks.GroupTileLayer('base10', [new maptalks.GroupTileLayer('卫星地图10', [new maptalks.TileLayer('卫星10', {
			urlTemplate: 'http://t{s}.tianditu.cn/DataServer?T=img_w&X={x}&Y={y}&L={z}',
			subdomains: ['1', '2', '3', '4'],
		}), new maptalks.TileLayer('路网10', {
			urlTemplate: 'http://t{s}.tianditu.cn/DataServer?T=cia_w&X={x}&Y={y}&L={z}',
			subdomains: ['1', '2', '3', '4'],
		})])], {
			attribution: '&copy; tianditu',
			'forceRenderOnMoving': true,
			'forceRenderOnZooming': true
		});
		map.setBaseLayer(baselayer);
		rendermap();
		break;
	};
};