var ggmap;
var map;
var panorama;
var geocoder;
var panoservice;
var currentX = "-77.03359";
var currentY = "38.89635";
var currentZ = 14;
var currentClickX;
var currentClickY;
var maplayer;
var marker;

$('#suggestVIP').attr('placeholder','输入大陆以外地址');
//初始化地图
window.onload = function() {
	
	var request = "https://appmanage.17ditu.com";
	var areaid = GetUrlParam('areaid');
	$.post(request + "/dituapi/tool/goglestreet", {
		areaId: areaid,
	}, function(data) {
		
		var res = JSON.parse(data);
		
		if (res.lat) {
			lat = res.lat;
			lng = res.lng;
			cityName = res.cityName;
		};
		var html = ""
		if (!res.parentCity && res.parentCity != 0) {
			html += '<li><a   href="../jiejing/index.html">返回上一级</a></li>'
		} else if (res.parentCity && res.parentCity.id != 0) {
			html += '<li><a   href="../jiejing/index.html?areaid=' + res.parentCity.id + '">返回上一级</a></li>'
		};
		for (var i = 0; i < res.cityList.length; i++) {
			html += '<li><a   href="../jiejing/index.html?areaid=' + res.cityList[i].id + '">' + res.cityList[i].name +
				'街景</a></li>'
		};
		$('.citylist').html(html);
		if (lat != "") {
			currentY = lat;
			currentX = lng;
		};
		var pos = new google.maps.LatLng(currentY, currentX);
		var mapconfig = {
			zoom: currentZ,
			center: pos,
			scaleControl: true,
		};
		var panoconfig = {
			addressControl: false,
			imageDateControl: true,
			position: pos,
			pov: {
				heading: 309.5767524434684,
				pitch: -3.7381792742622935
			},
			scaleControl: false

		};
		//ggmap = new google.maps.Map(document.getElementById("ggmap"), mapconfig);
		panorama = new google.maps.StreetViewPanorama(document.getElementById("panomap"), panoconfig);
		//ggmap.setStreetView(panorama);
		panoservice = new google.maps.StreetViewService;
		geocoder = new google.maps.Geocoder;
		addEvents();
		var streetData = res.data;
		
		if(streetData.status == 0){
			var layerbox = layer.confirm('谷歌服务器出现故障，街景地图暂时不能使用', {
							btn: ["好的"] //按钮
						},
						function() {
							layer.close(layerbox);
							
						},
						function() {
						
						});
		}
        
		map = new maptalks.Map('map', {
			center: [pos.lng(), pos.lat()],
			zoom: currentZ,
			zoomControl: {
				'position': 'top-left',
				'slider': false,
				'zoomLevel': false
			},
			attribution: false,
			// add zoom control
			scaleControl: true,
			// add scale control
			overviewControl: false,
			baseLayer: new maptalks.GroupTileLayer('map', [new maptalks.GroupTileLayer('satelite', [new maptalks.TileLayer(
				'pic', {
					'urlTemplate': streetData.pic,
					'subdomains': streetData.pic_subdomains.split(","),
                    "cdn_key":streetData.cdn_key,
                    "cdn_status":streetData.cdn_status
				}), new maptalks.TileLayer('road', {
				'urlTemplate': streetData.road,
                'subdomains': streetData.pic_subdomains.split(","),
                "cdn_key":streetData.cdn_key,
                "cdn_status":streetData.cdn_status
			}), new maptalks.TileLayer('street', {
				'urlTemplate': streetData.street,
                'subdomains': streetData.pic_subdomains.split(","),
                "cdn_key":streetData.cdn_key,
                "cdn_status":streetData.cdn_status
			})])])
		});

		maplayer = new maptalks.VectorLayer('vector').addTo(map);
		marker = new maptalks.Marker([pos.lng(), pos.lat()], {
			symbol: {
				'markerFile': 'https://cdn.17ditu.com/static/dist/images/control/marker.png',
				'markerRotation': 0,
				'markerDy': 40
			}
		}).addTo(maplayer);

		map.on('moving moveend zoomend', update);
		map.on('click',
			function(e) {
				initbuttom();
				// console.log(111)
				// currentClickX = e.coordinate.x;
				// currentClickY = e.coordinate.y;
				// map.panTo([currentClickY, currentClickX]);
				panorama.setPosition(new google.maps.LatLng(e.coordinate.y, e.coordinate.x));
				marker.setCoordinates(e.coordinate)
			});
	});
};

function GetUrlParam(paraName) {
	var url = document.location.toString();
	var arrObj = url.split("?");
	if (arrObj.length > 1) {
		var arrPara = arrObj[1].split("&");
		var arr;

		for (var i = 0; i < arrPara.length; i++) {
			arr = arrPara[i].split("=");

			if (arr != null && arr[0] == paraName) {
				return arr[1];
			}
		}
		return "";
	} else {
		return "";
	}
};

function update() {
if(currentClickY && currentClickX){
		map.panTo([currentClickY, currentClickX]);
		
	}
};

function addEvents() {
	document.getElementById("closemap").onclick = function() {
		document.getElementById("openmap").style.display = "block";
		document.getElementById("mapbox").style.bottom = "-3000px";
		document.getElementById("closemap").style.display = "none";
	};
	
	document.getElementById("openmap").onclick = function() {
		document.getElementById("openmap").style.display = "none";
		document.getElementById("mapbox").style.bottom = "0px";
		document.getElementById("mapbox").style.right = "0px";
		document.getElementById("closemap").style.display = "block";
	};

	google.maps.event.addListener(panorama, "position_changed",
		function(e) {
			showAddress();
			var p = panorama.getPosition();
			var p2 = panorama.getPov();
			if (map) {
				marker.setCoordinates([p.lng(), p.lat()])
			};
		});

	google.maps.event.addListener(panorama, "status_changed",
		function(e) {
			if (panorama.getStatus() != "OK") {
				layer.msg('当前位置没有街景地图，您可以从小地图点击蓝色区域查看街景地图！');
			}
		});

	google.maps.event.addListener(panorama, "pov_changed",
		function() {
			showAddress();
			var p = panorama.getPosition();
			var p2 = panorama.getPov();
			if (map) {
				marker.updateSymbol({
					markerRotation: p2.heading * (-1) + 180
				});
				map.panTo([p.lng(), p.lat()]);
			};

			google.maps.event.addListener(panorama, "visible_changed",
				function() {});
		});

	document.getElementById("headersearch").onclick = function(e) {
		var address = document.getElementById("suggestVIP").value.replace(/ /g, "_");
		if (address == "") {
			layer.tips('搜索词不能为空!', '#suggestVIP', {
				tips: [3, '#3595CC'],
				time: 2000
			});
			return;
		};
		$.post(request + "/dituapi/index/place", {
				"name": address,
			},
			function(result) {
				result = JSON.parse(result);
				if (result.status == 1) {
					// map.panTo([result.lng, result.lat]);
					map.animateTo({
						center: [result.lng, result.lat],
						zoom: 13
					}, {
						duration: 1000
					});
					currentClickX = result.lat;
					currentClickY = result.lng;
					panorama.setPosition(new google.maps.LatLng(result.lng, result.lat));
					marker.setCoordinates([result.lng, result.lat]);
				} else {
					layer.msg('搜索结果不存在！');
				};
			});
	};

	document.getElementById('suggestVIP').addEventListener('keydown', function(e) {

		if (e.code == "Enter" || e.code == "NumpadEnter") {
			var address = document.getElementById("suggestVIP").value.replace(/ /g, "_");
			if (address == "") {
				layer.tips('搜索词不能为空!', '#suggestVIP', {
					tips: [3, '#3595CC'],
					time: 2000
				});
				return;
			};
			$.post(request + "/dituapi/index/place", {
					"name": address,
				},
				function(result) {
					result = JSON.parse(result);
					if (result.status == 1) {
						map.panTo([result.lng, result.lat]);
						panorama.setPosition(new google.maps.LatLng(result.lng, result.lat));
						marker.setCoordinates([result.lng, result.lat])
					} else {
						layer.msg('搜索结果不存在！');
					};
				});
		}
	});
};
console.log(location.href)

function showAddress() {
	var p = panorama.getPosition();
	var lat = p.lat();
	var lng = p.lng();
	var b = "经度:" + lng.toFixed(5) + " 纬度:" + lat.toFixed(5);
	document.getElementById("address").innerHTML = b;
	//ggmap.panTo(p);
};
var isdown = false;
var oldx = 0;
var oldy = 0;
var ismove = false;
var maps = document.getElementById('mapbox');
var closemap = document.getElementById('closemap');
var panomap = document.getElementsByClassName('fgis-article-box')[0];



$(function() {
	$("object").on('touchend', function() {
		isdown = false;
	});
	document.querySelector('.resize').addEventListener('touchstart', function(event) {
		var e = event || window.event;
		e.stopPropagation();
		isdown = true;
		oldx = e.touches[0].screenX;
		oldy = e.touches[0].screenY;
	});
	document.querySelector('.resizebox').addEventListener('touchstart', function(event) {
		var e = event || window.event;
		ismove = true;
		oldx = e.screenX;
		oldy = e.screenY;
	});
	document.body.addEventListener('touchmove', function(event) {
		var e = event || window.event;
		if (isdown) {
			var x = oldx - e.touches[0].screenX;
			var y = oldy - e.touches[0].screenY;
			if (maps.offsetWidth + x < 14 || maps.offsetHeight + y < 14) {
				return;
			}
			oldx = e.touches[0].screenX;
			oldy = e.touches[0].screenY;

			maps.style.width = maps.offsetWidth + x + 'px';
			maps.style.height = maps.offsetHeight + y + 'px';

			if (maps.offsetWidth > panomap.offsetWidth) {
				maps.style.width = panomap.offsetWidth + 'px';
			};
			if (maps.offsetHeight > panomap.offsetHeight) {
				maps.style.height = panomap.offsetHeight + 'px';
			};
		};
		if (ismove) {
			var x = oldx - e.touches[0].screenX;
			var y = oldy - e.touches[0].screenY;
			oldx = e.touches[0].screenX;
			oldy = e.touches[0].screenY;
			var rx = panomap.offsetWidth - maps.offsetLeft - maps.offsetWidth + x;
			var ry = panomap.offsetHeight - maps.offsetTop - maps.offsetHeight + y;

			if (rx >= 0 && rx <= panomap.offsetWidth - maps.offsetWidth) {
				maps.style.right = rx + 'px';
			};
			if (ry >= 0 && ry <= panomap.offsetHeight - maps.offsetHeight - 50) {
				maps.style.bottom = ry + 'px';
			}
		};

	});
	document.body.addEventListener('touchend', function(event) {
		var e = event || window.event;
		isdown = false;
		ismove = false;
	});
})
